Skip to content

Address Book

All operations require authentication.

12 operationsv1/telephony/{billingAccount}
Agent setup

List phonebooksProduction

GET
/1.0/telephony/{billingAccount}/phonebook

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a phonebookProduction

GET
/1.0/telephony/{billingAccount}/phonebook/{bookKey}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200PhonebookMastersuccessful operation
bookKey
read-only
string

Identifier of the phonebook

name
string

Phone book name

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bookKey": "string", "name": "string"}

Create a phonebookProduction

POST
/1.0/telephony/{billingAccount}/phonebook

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

name
required
string

Name of the wanted phonebook

Response

200stringsuccessful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete a phonebookProduction

DELETE
/1.0/telephony/{billingAccount}/phonebook/{bookKey}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200—successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a phonebookProduction

PUT
/1.0/telephony/{billingAccount}/phonebook/{bookKey}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

bookKey
read-only
string

Identifier of the phonebook

name
string

Phone book name

Response

200—successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Export contactsProduction

GET
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/export

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Query parameters

format
required
ContactsExportFormatsEnum

Format of the file

Valuescsv

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/export \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

Import contactsProduction

POST
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/import

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

documentId
required
string

ID of the /me/document file you want to import

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/import \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List contactsProduction

GET
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200integer[]successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a contactProduction

GET
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Response

200PhonebookContactsuccessful operation
group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}

Create a contactProduction

POST
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

group
required
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

name
required
string

Name of the contact

surname
required
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200integersuccessful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
0

Delete a contactProduction

DELETE
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a contactProduction

PUT
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Request body (required)

group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"